"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AddEmpresaService = void 0;
var _queries = require("../queries");
var _empresaRepository = require("../typeorm/repository/empresaRepository");
class AddEmpresaService {
  async execute(banco, EMPR_NOME, EMPR_FONE, EMPR_BAIRRO, EMPR_UNFE_SIGLA, EMPR_END, EMPR_CIDADE, EMPR_CGC, EMPR_CEP, EMPR_EMAIL) {
    const EMPR_COD = await _empresaRepository.empresaRepository.query(`SELECT ISNULL(MAX(EMPR_COD + 1),0) as ID FROM [${banco}].[dbo].[EMPRESA]`);
    const sql = (0, _queries.addEmpresa)(banco, EMPR_COD[0].ID, EMPR_NOME, EMPR_FONE, EMPR_BAIRRO, EMPR_UNFE_SIGLA, EMPR_END, EMPR_CIDADE, EMPR_CGC, EMPR_CEP, EMPR_EMAIL);
    const execAddEmpresa = await _empresaRepository.empresaRepository.query(sql);
    return EMPR_COD;
  }
}
exports.AddEmpresaService = AddEmpresaService;