"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AddFornService = void 0;
var _queries = require("../queries");
var _empresaRepository = require("../typeorm/repository/empresaRepository");
class AddFornService {
  async execute(FORN_NOME, FORN_TIPO_COD, banco) {
    const FORN_COD = await _empresaRepository.empresaRepository.query(`SELECT ISNULL(MAX(FORN_COD + 1),0) as ID FROM [${banco}].[dbo].[FORNECEDOR] `);
    const sql = (0, _queries.insertFornedor)(FORN_NOME, FORN_COD[0].ID, FORN_TIPO_COD, banco);
    const addPEJU = await _empresaRepository.empresaRepository.query(sql);
    return FORN_COD;
  }
}
exports.AddFornService = AddFornService;