"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SearchEmpresaPejuFornService = void 0;
var _AppError = _interopRequireDefault(require("../errors/AppError"));
var _queries = require("../queries");
var _empresaRepository = require("../typeorm/repository/empresaRepository");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class SearchEmpresaPejuFornService {
  async execute({
    cnpj
  }) {
    const sql = (0, _queries.selectEmpresaEndereco)(cnpj);
    console.log('====================================');
    console.log(sql);
    console.log('====================================');
    const empresaExists = await _empresaRepository.empresaRepository.query(sql);
    if (!empresaExists) {
      throw new _AppError.default('Error');
    }
    return empresaExists;
  }
}
exports.SearchEmpresaPejuFornService = SearchEmpresaPejuFornService;