import { insertFornedor, insertPessoaJuridica } from '../queries'
import { empresaRepository } from '../typeorm/repository/empresaRepository'

export class AddFornService {
  public async execute (
    FORN_NOME: string,
    FORN_TIPO_COD: string,
    banco: string
  ) {
    const FORN_COD = await empresaRepository.query(`SELECT ISNULL(MAX(FORN_COD + 1),0) as ID FROM [${banco}].[dbo].[FORNECEDOR] `)

    const sql = insertFornedor(
      FORN_NOME,
      FORN_COD[0].ID,
      FORN_TIPO_COD,
      banco
    )

    const addPEJU = await empresaRepository.query(sql)

    return FORN_COD
  }
}
