import { insertPessoaJuridica } from '../queries'
import { empresaRepository } from '../typeorm/repository/empresaRepository'

export class AddPejuService {
  public async execute (
    PEJU_CGC: string,
    PEJU_EMAIL: string,
    PEJU_UNFE_SIGLA: string,
    PEJU_CIDADE: string,
    PEJU_RAZAO_SOCIAL: string,
    PEJU_NOME_FANTASIA: string,
    PEJU_TEL: string,
    PEJU_END: string,
    PEJU_CEP: string,
    PEJU_BAIRRO: string,
    banco: string
  ) {
    const PEJU_COD = await empresaRepository.query(`SELECT ISNULL(MAX(PEJU_COD + 1),0) as ID FROM [${banco}].[dbo].[PESSOA_JURIDICA] `)

    const sql = insertPessoaJuridica(
      PEJU_COD[0].ID,
      PEJU_CGC,
      PEJU_EMAIL,
      PEJU_UNFE_SIGLA,
      PEJU_CIDADE,
      PEJU_RAZAO_SOCIAL,
      PEJU_NOME_FANTASIA,
      PEJU_TEL,
      PEJU_END,
      PEJU_CEP,
      PEJU_BAIRRO,
      banco
    )
    console.log('====================================')
    console.log(sql)
    console.log('====================================')
    const addPEJU = await empresaRepository.query(sql)

    return PEJU_COD
  }
}
