"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.routerV1Pago = void 0;
var _express = _interopRequireDefault(require("express"));
var _fornecedor = require("./fornecedor.routes");
var _cliente = require("./cliente.routes");
var _empresa = require("./empresa.routes");
var _filial = require("./filial.routes");
var _swaggerUiExpress = _interopRequireDefault(require("swagger-ui-express"));
var _swagger = _interopRequireDefault(require("../../swagger/swagger.json"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const routerV1Pago = _express.default.Router();
exports.routerV1Pago = routerV1Pago;
routerV1Pago.get('', (req, res) => {
  res.status(200).json({
    message: 'Rota principal'
  });
});
routerV1Pago.use('/fornecedor', _fornecedor.routerFornecedor);
routerV1Pago.use('/cliente', _cliente.routerCliente);
routerV1Pago.use('/empresa', _empresa.routerEmpresa);
routerV1Pago.use('/filial', _filial.routerFilial);
routerV1Pago.use('/doc', _swaggerUiExpress.default.serve, _swaggerUiExpress.default.setup(_swagger.default));