import { addCliente } from '../queries'

import { empresaRepository } from '../typeorm/repository/empresaRepository'

export class AddClienteService {
  public async execute (
    CLIE_TIPO_COD: number, CLIE_NOME: string, banco: string
  ) {
    const CLIE_COD = await empresaRepository.query(`SELECT ISNULL(MAX(CLIE_COD + 1),0) as ID FROM [${banco}].[dbo].[CLIENTE] `)

    const sql = addCliente(
      CLIE_TIPO_COD,
      CLIE_NOME,
      CLIE_COD[0].ID,
      banco
    )
    console.log('====================================')
    console.log(sql)
    console.log('====================================')
    const addClie = await empresaRepository.query(sql)

    return CLIE_COD
  }
}
