import { empresaRepository } from '../typeorm/repository/empresaRepository'

interface IRequest {
    EMPR_CNPJ:string
}

export class SearchEmpresaAuxService {
  public async execute ({ EMPR_CNPJ }: IRequest): Promise<boolean> {
    const empresaExists = await empresaRepository.findOneBy({ EMPR_CNPJ })
    if (empresaExists) {
      return true
    }
    return false
  }
}
